aboutsummaryrefslogtreecommitdiffstats
path: root/main/unbound/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-11-11 09:42:06 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-11-11 09:43:04 +0000
commit4dafb4f192c8596ccf4d68bed7fa6373309ad321 (patch)
tree953513aca826d1e00821075034c54bb8ab915902 /main/unbound/APKBUILD
parent8d8a87cb7aeb580d2b3fb06114aee48d744bfcc3 (diff)
downloadaports-4dafb4f192c8596ccf4d68bed7fa6373309ad321.tar.gz
aports-4dafb4f192c8596ccf4d68bed7fa6373309ad321.tar.bz2
aports-4dafb4f192c8596ccf4d68bed7fa6373309ad321.tar.xz
main/unbound: do not link libunbound to libpython
Diffstat (limited to 'main/unbound/APKBUILD')
-rw-r--r--main/unbound/APKBUILD11
1 files changed, 7 insertions, 4 deletions
diff --git a/main/unbound/APKBUILD b/main/unbound/APKBUILD
index 14dfbf23cf..a539f83a26 100644
--- a/main/unbound/APKBUILD
+++ b/main/unbound/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=unbound
pkgver=1.4.13
-pkgrel=1
+pkgrel=2
pkgdesc="Unbound is a validating, recursive, and caching DNS resolver"
pkgusers="unbound"
pkggroups="unbound"
@@ -42,17 +42,20 @@ build() {
--disable-static \
--disable-rpath \
--with-ssl \
- --with-pythonmodule \
+ --without-pythonmodule \
--with-pyunbound \
|| return 1
+ # do not link to libpython
+ sed -i -e '/^LIBS=/s/-lpython.*[[:space:]]/ /' Makefile
+
make || return 1
}
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
- rm "$pkgdir"/usr/lib/*.la \
- "$pkgdir"/usr/lib/python*/*/*.la || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
+ rm "$pkgdir"/usr/lib/python*/*/*.la || return 1
install -D contrib/update-anchor.sh \
"$pkgdir"/usr/share/$pkgname/update-anchor.sh \
|| return 1